package com.ssj.service.sys.award.service;

import com.ssj.bean.sys.award.domain.AwardMaterial;
import com.ssj.framework.core.common.service.BaseService;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import java.util.List;
import java.util.Map;

public interface AwardMaterialService extends BaseService<AwardMaterial, String> {
	
	public Page<Map<String, Object>> findAwardMaterialBylist(Map<String, Object> searchParams, Pageable pageable);
	
	public List<AwardMaterial> findAwardMaterialByLevel(Integer level);
	
	public AwardMaterial getAwardMaterialById(String id);
	
	public AwardMaterial addNumberAndSnCode(String id,Integer number);
	
}
